/* -*- c++ -*- */
#ifndef AKAXISO_XERCES_LOCATOR_H__
#define AKAXISO_XERCES_LOCATOR_H__

#ifdef USE_XERCESC

#include <akaxiso/parser/locator.h>
#include <xercesc/sax/Locator.hpp>
#include <akaxiso/xerces/xerces_ns.h>

namespace aka2 {
  
  class xerces_locator : public locator {
  public:
    xerces_locator(const xercesc::Locator *const loc) : loc_(loc){}
    virtual ~xerces_locator(){}

    virtual size_t get_linenumber() const;
    virtual size_t get_columnnumber() const;
  private:
    const xercesc::Locator *loc_;
  };

}

#endif // USE_XERCESC

#endif
